<?php
if( !defined('ISDVBBS') ){
	exit;
}
?>
document.writeln("<div id=\"emsg_parent\" style=\"position:absolute;right:0px;bottom:0px;width:302px;height:118px;overflow:hidden;z-index:999;\"><DIV id=eMeng style=\"BORDER-RIGHT: #455690 1px solid; BORDER-TOP: #a6b4cf 1px solid; Z-INDEX:1000; right: 0px;bottom:0px; VISIBILITY:hidden; ");
document.writeln("BORDER-LEFT: #a6b4cf 1px solid; WIDTH: 300px; BORDER-BOTTOM: #455690 1px solid; POSITION: absolute;top:0px;left:0px; HEIGHT: 116px; ");
document.writeln("BACKGROUND-COLOR: #c9d3f3\">");
document.writeln(" <TABLE style=\"BORDER-TOP: #ffffff 1px solid; BORDER-LEFT: #ffffff 1px solid\" cellSpacing=0 cellPadding=0 width=\"100%\" ");
document.writeln("bgColor=#cfdef4 border=0>");
document.writeln(" <TBODY>");
document.writeln("  <TR>");
document.writeln("   <TD style=\"FONT-SIZE: 12px; BACKGROUND-IMAGE: url(msgTopBg.gif); COLOR: #0f2c8c\" width=30 height=24><\/TD>");
document.writeln("   <TD style=\"FONT-WEIGHT: normal; FONT-SIZE: 12px; BACKGROUND-IMAGE: url(msgTopBg.gif); COLOR: #1f336b; PADDING-TOP: 4px;PADDING-");
document.writeln("left: 4px\" vAlign=center width=\"100%\"> <?php echo $lang["upgrade.tips"]?><\/TD>");
document.writeln("   <TD style=\"BACKGROUND-IMAGE: url(msgTopBg.gif); PADDING-TOP: 2px;PADDING-right:2px\" vAlign=center align=right width=19><span ");
document.writeln("title=¹Ø±Õ style=\"CURSOR: hand;color:red;font-size:12px;font-weight:bold;margin-right:4px;width:10px;height:10px;\" onclick=close_win() >¡Á<\/span><\/TD>");
document.writeln("  <\/TR>");
document.writeln("  <TR>");
document.writeln("   <TD style=\"PADDING-RIGHT: 1px; BACKGROUND-IMAGE: url(1msgBottomBg.jpg); PADDING-BOTTOM: 1px\" colSpan=3 height=90>");
document.writeln("    <DIV style=\"BORDER-RIGHT: #b9c9ef 1px solid; PADDING-RIGHT: 13px; BORDER-TOP: #728eb8 1px solid; PADDING-LEFT: 13px; FONT-SIZE:;");
document.writeln("12px; PADDING-BOTTOM: 13px; BORDER-LEFT: #728eb8 1px solid; WIDTH: 100%; COLOR: #1f336b; PADDING-TOP: 18px; BORDER-BOTTOM: #b9c9ef ");
document.writeln("1px solid; HEIGHT: 100%\"><?php echo $lang["upgrade.tips4"]?><font color=#FF0000><?php echo strval($updatestate) ?><\/font><?php echo $lang["upgrade.tips5"]?><BR>");
document.writeln("    <span style=\"word-break:break-all;width:100%;height:20px;text-align:center;\"><a href=\"upgrade.php?reaction=upgrade\" onclick=close_win() target=\"frmright\"><font color=#FF0000><?php echo $lang["upgrade.tips6"]?>");
document.writeln("<\/font><\/a><\/span>");
document.writeln("    <\/DIV>");
document.writeln("   <\/TD>");
document.writeln("  <\/TR>");
document.writeln(" <\/TBODY>");
document.writeln(" <\/TABLE>");
document.writeln("<\/DIV><\/div>");

window.setTimeout("getMsg()",1);
window.onresize = resizeDiv;
window.onerror = function(){};
var divEmsgTop,divLeft,divWidth,divHeight,docHeight,docWidth,i = 0;
function getMsg()
{
	try{
		docWidth = parseInt(document.getElementById("emsg_parent").offsetWidth,10) ;
		docHeight =  parseInt(document.getElementById("emsg_parent").clientHeight,10) ;
		document.getElementById("emsg_parent").style.top= document.body.clientHeight+parseInt(document.body.scrollTop,10)-docHeight;
		divEmsgTop = docHeight + 10;
		divLeft = 0;
		document.getElementById("eMeng").style.top = divEmsgTop;
		document.getElementById("eMeng").style.left = 0;
		divHeight = parseInt(document.getElementById("eMeng").offsetHeight,10)
		divWidth = parseInt(document.getElementById("eMeng").offsetWidth,10)
		document.getElementById("eMeng").style.visibility="visible";
		window.setTimeout("moveDiv()",1);
	}
	catch(e){}
}
function resizeDiv()
{
	try{
		document.getElementById("emsg_parent").style.bottom= 0;
		document.getElementById("emsg_parent").style.right= 0;
		document.getElementById("eMeng").style.top =0;
		document.getElementById("eMeng").style.left = 0;
	}
	catch(e){}
}
function moveDiv()
{

	try
	{
		if(divEmsgTop <= 0)
		{ 
			window.setTimeout("resizeDiv()",1);
		}else{
		   document.getElementById("eMeng").style.top = (--divEmsgTop);
		   document.getElementById("eMeng").style.left=0;
		   window.setTimeout("moveDiv()",5);

		}

	}
	catch(e){

	}
}

function close_win()
{   
	document.getElementById('emsg_parent').style.display='none';
}
